HubSpot CRM card: Eventlink registrations for a record
curl --request POST \
--url https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations \
--header 'Content-Type: application/json' \
--data '
{
"objectType": "CONTACT",
"emails": [
"[email protected]"
],
"hubspotContactIds": [
"<string>"
],
"limit": 20,
"cursor": "<string>"
}
'import requests
url = "https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations"
payload = {
"objectType": "CONTACT",
"emails": ["[email protected]"],
"hubspotContactIds": ["<string>"],
"limit": 20,
"cursor": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
objectType: 'CONTACT',
emails: ['[email protected]'],
hubspotContactIds: ['<string>'],
limit: 20,
cursor: '<string>'
})
};
fetch('https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'objectType' => 'CONTACT',
'emails' => [
'[email protected]'
],
'hubspotContactIds' => [
'<string>'
],
'limit' => 20,
'cursor' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations"
payload := strings.NewReader("{\n \"objectType\": \"CONTACT\",\n \"emails\": [\n \"[email protected]\"\n ],\n \"hubspotContactIds\": [\n \"<string>\"\n ],\n \"limit\": 20,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations")
.header("Content-Type", "application/json")
.body("{\n \"objectType\": \"CONTACT\",\n \"emails\": [\n \"[email protected]\"\n ],\n \"hubspotContactIds\": [\n \"<string>\"\n ],\n \"limit\": 20,\n \"cursor\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"objectType\": \"CONTACT\",\n \"emails\": [\n \"[email protected]\"\n ],\n \"hubspotContactIds\": [\n \"<string>\"\n ],\n \"limit\": 20,\n \"cursor\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"registrationId": "<string>",
"status": "registered",
"eventName": "<string>",
"eventDate": "2023-11-07T05:31:56Z",
"ticketType": "free",
"dashboardUrl": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}HubSpot
HubSpot CRM card: Eventlink registrations for a record
Returns Eventlink registrations for a HubSpot contact on published events that are not canceled. Verifies the HubSpot v3 request signature and scopes results to the workspace whose metadata.hubspotPortalId matches portalId. Refuses the request when that connection needs a reconnect or more than one workspace matches the portal.
POST
/
api
/
v1
/
integrations
/
hubspot
/
cards
/
registrations
HubSpot CRM card: Eventlink registrations for a record
curl --request POST \
--url https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations \
--header 'Content-Type: application/json' \
--data '
{
"objectType": "CONTACT",
"emails": [
"[email protected]"
],
"hubspotContactIds": [
"<string>"
],
"limit": 20,
"cursor": "<string>"
}
'import requests
url = "https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations"
payload = {
"objectType": "CONTACT",
"emails": ["[email protected]"],
"hubspotContactIds": ["<string>"],
"limit": 20,
"cursor": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
objectType: 'CONTACT',
emails: ['[email protected]'],
hubspotContactIds: ['<string>'],
limit: 20,
cursor: '<string>'
})
};
fetch('https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'objectType' => 'CONTACT',
'emails' => [
'[email protected]'
],
'hubspotContactIds' => [
'<string>'
],
'limit' => 20,
'cursor' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations"
payload := strings.NewReader("{\n \"objectType\": \"CONTACT\",\n \"emails\": [\n \"[email protected]\"\n ],\n \"hubspotContactIds\": [\n \"<string>\"\n ],\n \"limit\": 20,\n \"cursor\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations")
.header("Content-Type", "application/json")
.body("{\n \"objectType\": \"CONTACT\",\n \"emails\": [\n \"[email protected]\"\n ],\n \"hubspotContactIds\": [\n \"<string>\"\n ],\n \"limit\": 20,\n \"cursor\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"objectType\": \"CONTACT\",\n \"emails\": [\n \"[email protected]\"\n ],\n \"hubspotContactIds\": [\n \"<string>\"\n ],\n \"limit\": 20,\n \"cursor\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"registrationId": "<string>",
"status": "registered",
"eventName": "<string>",
"eventDate": "2023-11-07T05:31:56Z",
"ticketType": "free",
"dashboardUrl": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Query Parameters
Body
application/json